@import '_content/BlazorJWT.Core/BlazorJWT.Core.bundle.scp.css';

/* /Components/Layout/Footer.razor.rz.scp.css */
footer[b-zswv5ml1t6] {
    padding:.3rem;
    color:#ccc;
}

h6[b-zswv5ml1t6] {
    text-align:end;
    font-size: .8em;
    margin: 0 .5em 0 0;
    padding: 0;
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */

/*.container {
    background: linear-gradient(180deg,#47e 0%, #4739fa 100%);
}*/




.main-content[b-4406d3ajis] {
    flex: 1 0 auto; /* ocupa el espacio restante entre navbar y footer */
    display: flex;
    flex-direction: column;
}



#blazor-error-ui[b-4406d3ajis] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-4406d3ajis] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/NavBar.razor.rz.scp.css */

.navbar[b-wd8iolhg0r] {
    background: #48e;
    background: linear-gradient(180deg,#48e 0%, #4739fd 110%);
    color: #eee;
    font-size: 1rem;
    padding: 0 .6rem;
}

.navbar-toggler[b-wd8iolhg0r] {
    cursor: pointer;
    border: none;
    padding: 0;
    width: 2.5em;
}

    .navbar-toggler:hover[b-wd8iolhg0r] {
        transform: scale(1.1);
    }

    .navbar-toggler:active[b-wd8iolhg0r] {
        transform: scale(1);
    }

.aTitulo[b-wd8iolhg0r] {
    font-family: "Cairo", system-ui;
    font-size: 2.5rem;
    text-decoration: none;
    text-shadow: 2px 2px #333;
    color: #98cbf1;
}

.aText[b-wd8iolhg0r] {
    text-decoration: none;
    clear: both;
    font-weight: 400;
    color: #eee;
    cursor: pointer;
}

.dropdown-menu[b-wd8iolhg0r] {
    background: #eeee;
    padding: 0.8rem .2rem;
    border-radius: 1px 1px 5px 5px;
    box-shadow: 2px 2px 5px #333;
}

    .dropdown-menu .dropdown-item[b-wd8iolhg0r] {
        display: block;
        padding: 0.25rem 1.5rem;
        clear: both;
        font-weight: 400;
        color: #212529;
        text-align: inherit;
        white-space: nowrap;
        background-color: transparent;
        border: 0;
        text-decoration: none;
    }

        .dropdown-menu .dropdown-item:hover[b-wd8iolhg0r],
        .dropdown-menu .dropdown-item.active[b-wd8iolhg0r] {
            background-color: #f8f9fa;
            color: #16181b;
            text-decoration: none;
        }

    .dropdown-menu .separator[b-wd8iolhg0r] {
        height: 0;
        margin: 0.5rem 0;
        overflow: hidden;
        border-top: 1px solid #999;
    }

@media (max-width: 500px){
    .aTitulo[b-wd8iolhg0r] {
        font-size: 1.5rem;
    }
}
/* /Components/MarkTeam.razor.rz.scp.css */

card[b-bd9rqetw2a] {
    position:relative;
    display: flex;
    flex-flow: column nowrap;
}

    card .result[b-bd9rqetw2a] {
        flex-grow: 1;
        font-family: "Merienda", system-ui;
        font-size: 9rem;
        font-weight: 600;
    }

    card .lbTeam[b-bd9rqetw2a] {
        background-color: transparent;
        border: none;
        color: #eee;
        box-shadow:none;
        font-size: 1em;
        text-align: center;
    }

    .escudo[b-bd9rqetw2a] {
        position: absolute;
        pointer-events: none;
        width: 5em;
        top: 2em;
        right: 0.4em;
    }
/* /Components/Pages/Authentication/Error404.razor.rz.scp.css */
.card404[b-sn74pblbwf] {
    margin: 1rem auto;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    color: #eee;
    max-width: 400px;
    font-size: 1.2rem;
}

    .card404 a[b-sn74pblbwf] {
        text-decoration: none;
        color: #eee;
    }
/* /Components/Pages/Authentication/LoginPage.razor.rz.scp.css */
.container[b-ghxn54t68q] {
    border: 0px solid #eee;
    max-width: 900px;
    margin: auto;
    padding: 1rem 4rem;
    height: 100%;
}

hr[b-ghxn54t68q] {
    box-shadow: 1px 1px 2px #eee;
    margin: 1em auto;
    width: 100%;
}

.text-error[b-ghxn54t68q] {
    text-align: center;
    color: var(--color-error);
    font-size: 1rem;
}

.login-container[b-ghxn54t68q] {
    position: relative;
    display: flex;
    flex-flow: column nowrap;
    background-color: var(--color-card);
    border: 2px solid var(--color-text);
    border-radius: 1rem;
    box-shadow: 0.1em 0.1em 3em var(--color-fourth);
    margin: auto;
    padding: 3em;
    min-width: 300px;
    width: 70%;
    font-size: 1.2rem;
}

    .login-container h3[b-ghxn54t68q] {
        text-align: center;
        color:#eee;
    }

    .login-container
    .form-row[b-ghxn54t68q] {
        display: flex;
        flex-flow: column wrap;
    }

        .login-container .form-row[b-ghxn54t68q]  input {
            background: #eee;
            border-radius: .2rem;
            margin: .5em auto;
            padding: .8rem;
            font-size: 1.2rem;
            width: 95%;
            border: none; /* Opcional: para quitar el borde por defecto */
            outline: none;
        }

            .login-container .form-row[b-ghxn54t68q]  input:focus {
                outline: 1px solid var(--color-primary);
                box-shadow: 2px 2px 4px var(--color-third), -2px -2px 4px var(--color-third);
            }
        .login-container
        .f-row[b-ghxn54t68q] {
            display:flex;
            flex-flow: row wrap;
            justify-content:center;
            gap:1rem;
        }
.buttons[b-ghxn54t68q] {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
}

    .buttons button[b-ghxn54t68q] {
        width: 42%;
        margin: 0;
        padding: .6rem;
        font-family: "Lexend", sans-serif;
        font-size: 1rem;
    }
    .buttons a[b-ghxn54t68q] {
        width: 42%;
        margin: 0;
        padding: .6rem;
        font-family: "Lexend", sans-serif;
        font-size: 1rem;
    }

@media only screen and (max-width:650px) {
    .container[b-ghxn54t68q] {
        padding: 1rem;
    }

    .card[b-ghxn54t68q] {
        width: 100%;
    }

    .login-container[b-ghxn54t68q] {
        width: 95%;
        padding: 2em;
    }

    .buttons[b-ghxn54t68q] {
        flex-flow: column wrap;
        align-content: center;
        gap: .6rem;
    }

        .buttons button[b-ghxn54t68q], .buttons a[b-ghxn54t68q] {
            width: 80%;
        }
}
/* /Components/Pages/Authentication/UnAuthorizedPage.razor.rz.scp.css */
.card404[b-9jcrlcgof5] {
    margin:1rem auto;
    display:flex;
    flex-flow: column nowrap;
    align-items:center;
    color:#eee;
    max-width:400px;
    font-size:1.2rem;
}
.card404 a[b-9jcrlcgof5]{
    text-decoration:none;
    color:#eee;
}
/* /Components/Pages/EquipoModal.razor.rz.scp.css */
/* La capa que bloquea el resto de la página */
.modal[b-xppyjqb5ki] {
    display: flex;
    position: fixed; 
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6); /* Fondo oscuro transparente */
    justify-content: center;
    align-items: center;
}

/* La caja del modal */
.modal-content[b-xppyjqb5ki] {
    border: 2px solid #007bff; /* Un borde sutil con el color de tu marca */
    background-color: white;
    padding: 2rem;
    border-radius: 5px;
    box-shadow: 0 4px 20px #444;
    width: 90%;
    max-width: 400px; /* Tamaño máximo para que no se vea gigante en PC */
    max-height: 90%;
    text-align: center;
    
}
ul[b-xppyjqb5ki] {
    list-style: none;
    padding: 0;
    overflow-y: auto;
    
}
li:hover[b-xppyjqb5ki]{
    font-weight: 600;
    background-color: #48e5;
}
/* /Components/Pages/EquiposPage.razor.rz.scp.css */

.container-Team[b-79jlzz3tm8] {
    display: flex;
    flex-flow: row wrap;
    padding: 1rem;
    gap: 2%;
}

.card-Teams[b-79jlzz3tm8] {
    cursor: pointer;
    border: 1px solid #444;
    width: 58%;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(190px, 1fr) );
    padding: .5rem;
    gap: 1rem;
    box-shadow: 2px 2px 3px #333;
}

    .card-Teams .card-Team[b-79jlzz3tm8] {
        display: flex;
        border: 2px solid #333;
        background: #ddd;
        gap: .5rem;
    }

.team-logo[b-79jlzz3tm8] {
    display: flex;
    justify-content: center;
    width: 23%;
    margin-right: 0;
}

    .team-logo img[b-79jlzz3tm8] {
        object-fit: cover;
        margin: .6rem;
    }

.team-text[b-79jlzz3tm8] {
    width: stretch;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
}

.card-Team h3[b-79jlzz3tm8] {
    font-size: 1rem;
}

.card-edit[b-79jlzz3tm8] {
    border: 1px solid #444;
    width: 40%;
    display: flex;
    flex-flow: column nowrap;
    padding: .5rem;
    gap: 1rem;
    box-shadow: 2px 2px 3px #333;
}

    .card-edit h2[b-79jlzz3tm8] {
        text-align: center;
        font-size: 1.5rem;
        color: #eee;
        text-shadow: 1px 1px 2px #222;
    }

.buttons[b-79jlzz3tm8] {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
}

    .buttons button[b-79jlzz3tm8] {
        width: 42%;
        margin: 0;
        padding: .6rem;
        font-family: "Lexend", sans-serif;
        font-size: 1rem;
    }

    .buttons .btt[b-79jlzz3tm8] {
        width: 21%;
    }

.form-row[b-79jlzz3tm8] {
    display: flex;
    flex-flow: column wrap;
}

    .form-row label[b-79jlzz3tm8] {
        color: #ddd;
        margin: auto;
        margin-bottom: -.5rem;
        width: 95%;
    }

.card-edit .form-row[b-79jlzz3tm8]  input {
    background: #eee;
    border-radius: .2rem;
    margin: .5em auto;
    padding: .8rem;
    font-size: 1.2rem;
    width: 95%;
    border: none; /* Opcional: para quitar el borde por defecto */
    outline: none;
}

    .card-edit .form-row[b-79jlzz3tm8]  input:focus {
        outline: 1px solid var(--color-primary);
        box-shadow: 2px 2px 4px var(--color-third), -2px -2px 4px var(--color-third);
    }

.card-edit
.f-row[b-79jlzz3tm8] {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    gap: 1rem;
}


.active-edit[b-79jlzz3tm8] {
    border: 2px solid #eee !important;
    ;
    box-shadow: 3px 3px 3px #444;
}

.disabled[b-79jlzz3tm8] {
    cursor: not-allowed;
    color: #999 !important;
    pointer-events: none;
}














@media (max-width: 1000px) {
    .card-Teams[b-79jlzz3tm8] {
        width: 95%;
        margin: auto;
    }

    .card-edit[b-79jlzz3tm8] {
        width: 95%;
        margin: auto;
    }

    .card-Team[b-79jlzz3tm8] {
        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr) );
        gap: .1rem;
    }

        .card-Team h3[b-79jlzz3tm8] {
            font-size: .8rem;
        }
}

@media (max-width: 500px) {
    .container[b-79jlzz3tm8] {
        flex-flow: column nowrap;
    }

    .card-edit h2[b-79jlzz3tm8] {
        font-size: 1rem;
    }
}
/* /Components/Pages/Home.razor.rz.scp.css */
.container-mark[b-39mxu15af6] {
    margin: .6em;
    
}

.marcador[b-39mxu15af6] {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: .6em;
    
}

.panel[b-39mxu15af6] {
    margin: .6em;
    margin-bottom: 0;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 2fr 1fr 1fr 1fr;
    gap: .3em;
    font-size: 1rem;
}

    .panel .time[b-39mxu15af6] {
        grid-column-start: span 4;
        align-content: center;
        margin: 0;
        font-family: "Merienda", system-ui;
        text-align: center;
        text-shadow: 2px 2px 2px #444;
        font-size: 5rem;
        color: #eee;
    }

    .panel .input-pista[b-39mxu15af6] {
        grid-column-start: span 4;
        background-color: transparent;
        border: none;
        text-align: center;
        color: #eee;
    }

    .panel .start[b-39mxu15af6] {
        grid-column-start: span 2;
        background-color: #8f8;
    }

    .panel .reset[b-39mxu15af6] {
        grid-column-start: span 2;
        background-color: #4ca2a4;
        color: #eee;
    }

    .panel .cero[b-39mxu15af6] {
        grid-column-start: span 2;
        background-color: #4ca2a4;
        color: #eee;
    }

    .panel .less1[b-39mxu15af6], .panel .less2[b-39mxu15af6] {
        background-color: #dc5446;
        color: #eee;
    }

@media (orientation: portrait) {
    .marcador[b-39mxu15af6] {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr 1fr;
    }
}

/* HORIZONTAL (Móvil girado) */
@media (orientation: landscape) {
    .marcador[b-39mxu15af6] {
        max-height: 280px;
    }
}

@media (max-width: 750px) {
    .result[b-39mxu15af6] {
        font-size: 7rem;
    }

    .panel .time[b-39mxu15af6] {
        font-size: 3rem;
    }

    .panel[b-39mxu15af6] {
        margin: .1em;
        font-size: .8rem;
    }
}
/* /Components/Pages/RegisterUser.razor.rz.scp.css */
.container[b-d109gddess] {
    border: 0px solid #eee;
    max-width: 900px;
    margin: auto;
    padding: 1rem 4rem;
    height: 100%;
}

hr[b-d109gddess] {
    box-shadow: 1px 1px 2px #eee;
    margin: 1em auto;
    width: 100%;
}

.text-error[b-d109gddess] {
    text-align: center;
    color: var(--color-error);
    font-size: 1rem;
}

.login-container[b-d109gddess] {
    position: relative;
    display: flex;
    flex-flow: column nowrap;
    background-color: var(--color-card);
    border: 2px solid var(--color-text);
    border-radius: 1rem;
    box-shadow: 0.1em 0.1em 3em var(--color-fourth);
    margin: auto;
    padding: 3em;
    min-width: 300px;
    width: 70%;
    font-size: 1.2rem;
}

    .login-container h3[b-d109gddess] {
        text-align: center;
        color: #eee;
    }

    .login-container
    .form-row[b-d109gddess] {
        display: flex;
        flex-flow: column wrap;
    }

        .login-container .form-row[b-d109gddess]  input {
            background: #eee;
            border-radius: .2rem;
            margin: .5em auto;
            padding: .8rem;
            font-size: 1.2rem;
            width: 95%;
            border: none; /* Opcional: para quitar el borde por defecto */
            outline: none;
        }

            .login-container .form-row[b-d109gddess]  input:focus {
                outline: 1px solid var(--color-primary);
                box-shadow: 2px 2px 4px var(--color-third), -2px -2px 4px var(--color-third);
            }

.buttons[b-d109gddess] {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    font-family: "Lexend", sans-serif;
    font-size: 1rem;
}

    .buttons button[b-d109gddess] {
        width: 42%;
        margin: 0;
        padding: .6rem;

    }

    .buttons a[b-d109gddess] {
        width: 42%;
        margin: 0;
        padding: .6rem;
    }

.text-error[b-d109gddess] {
    border: 2px solid green;
    text-align: center;
}

@media only screen and (max-width:650px) {
    .container[b-d109gddess] {
        padding: 1rem;
    }

    .card[b-d109gddess] {
        width: 100%;
    }

    .login-container[b-d109gddess] {
        width: 95%;
        padding: 2em;
    }

    .buttons[b-d109gddess] {
        flex-flow: column wrap;
        align-content: center;
        gap: .6rem;
    }

        .buttons button[b-d109gddess] {
            width: 80%;
        }
}
/* /Components/Pages/ResultadosPage.razor.rz.scp.css */

.div-carga[b-9h4qz0zxxt] {
    margin: auto;
    text-align: center;
}

.barra-title[b-9h4qz0zxxt] {
    display: inline-grid;
    grid-template-columns: auto auto 3fr auto auto;
    width: stretch;
    margin: .2em;
    margin-bottom: -1rem;
    padding: .1em .2em;
    text-align: center;
    font-size: 1.8rem;
    color: #eee;
}

.barra-order[b-9h4qz0zxxt] {
    display: flex;
    flex-flow: column nowrap;
}

    .barra-order .order-btns[b-9h4qz0zxxt] {
        display: flex;
        justify-content: space-evenly;
    }

    .barra-order i[b-9h4qz0zxxt] {
        cursor: pointer;
        margin: 0 .2em;
    }

    .barra-order p[b-9h4qz0zxxt] {
        font-size: .6rem;
    }

.sort-active[b-9h4qz0zxxt] {
    color: #8e8 !important;
    font-weight: bold;
    transform: scale(1.2);
}


.card-find[b-9h4qz0zxxt] {
    border: 2px solid #ccc;
    border-radius: 0.1rem;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    padding:.3rem;
    gap:3rem;
}

    .card-find .find-inputs[b-9h4qz0zxxt] {
        display: flex;
        justify-content: space-evenly;
    }

        .card-find .find-botones button[b-9h4qz0zxxt] {
            cursor: pointer;
            padding: .3rem .6rem;
            font-family: "Lexend", sans-serif;
            font-size: 1.2em;
            border-radius:.3rem;
        }

@media only screen and (max-width: 750px) {

    .card-find .find-inputs[b-9h4qz0zxxt] {
        font-size: .7rem;
    }

        .card-find .find-inputs input[b-9h4qz0zxxt] {
            padding: .5rem;
            font-size: .8rem;
        }
}

@media only screen and (max-width: 550px) {
    .barra-title[b-9h4qz0zxxt] {
        font-size: 1.2rem;
    }

    .barra-order p[b-9h4qz0zxxt] {
        font-size: .4rem;
    }

    .card-find .find-inputs[b-9h4qz0zxxt] {
        font-size: 1rem;
    }

    .card-find .find-inputs[b-9h4qz0zxxt] {
        margin: auto;
        flex-flow: column nowrap;
        gap: .6rem;
    }


        .card-find .find-inputs input[b-9h4qz0zxxt] {
            padding: .5rem;
            font-size: 1rem;
        }
}




.mycard[b-9h4qz0zxxt] {
    margin: .2em 2em;
    padding: .3em;
    font-size:1.2em;
}

.card-result[b-9h4qz0zxxt] {
    display: grid;
    grid-template-columns: 3fr 1fr 5fr 1fr 3fr;
    align-content: center;
    text-align: center;
    background: #ddd;
    box-shadow: 3px 3px 4px #333;
    border: 1px solid #333;
}

    .card-result .result[b-9h4qz0zxxt] {
        align-content: center;
    }
    .card-result .cartel[b-9h4qz0zxxt] {
        position:relative;
        display: flex;
        flex-flow: column nowrap;

    }
        .card-result .cartel .btndel[b-9h4qz0zxxt]{
            cursor:pointer;
            position:absolute;
            top:.3rem;
            right:1.2rem;
            color:red;
            font-size:2.2rem;
    }
    .card-result .point[b-9h4qz0zxxt] {
        border: 1px solid #d6e2fd;
        background-color: #fff;
        font-size: 2em;
        border-radius: .2rem;
        box-shadow: 3px 3px 4px #333;
        margin: -.1em;
        z-index: 1000;
    }
    .card-result .btndel[b-9h4qz0zxxt] {
        
    }
    .card-result .pista[b-9h4qz0zxxt] {
        
    }
.win1[b-9h4qz0zxxt] {
    background: linear-gradient(90deg, #7e7 1%, #ddd 3%, #ddd 97%, #e77 99%);
}
.win2[b-9h4qz0zxxt] {
    background: linear-gradient(270deg, #7e7 1%, #ddd 3%, #ddd 97%, #e77 99%);
}


    @media (max-width: 500px) {
        .mycard[b-9h4qz0zxxt] {
            margin: .2em .1em;
            padding: .3em;
            font-size: .7em;
        }
    }
